/*
 * @author 汤守咏
 * @date 2017/3/20
 */
var DEBUG = true; //TODO 调式开关，true:测试环境，false:生产环境

//var HTTP_HOST = "http://192.168.1.151:8080";//yifeng

//var HTTP_HOST = "http://192.168.1.112:8080";//yifeng

var HTTP_HOST = "http://www.hehacat.com";//生产环境
//var HTTP_HOST = "http://www.hehacat.com:9080";//测试环境

var PROJECT_HHM= "/HHM_WEB";//后台web工程：HHM_WEB
//var PROJECT_HHM= "/HeHaManager";//页面配置工程

var V_HOST = HTTP_HOST+PROJECT_HHM;

function web_http(func_url, params,  Htype, onSuccess, onError, retry) {
	func_url = V_HOST + func_url;
	mui.ajax(func_url, {
		data: params,
		dataType: 'json',
		type: Htype,
		timeout: 1000,
		success: function(data) {
			if(data.flag > 0) {
				onSuccess(data);
			} else {
				onError(data);
			}
			console.log(data);
		},
		error: function(xhr, type, errorThrown) {
			retry--;
			if(retry > 0) return web_http(func_url, params, Htype, onSuccess, onError, retry);
			mui.toast('网络连接错误,请检查');
		}
	});
};
/**
 * 在控制台中输出日志
 * @param {Object} msg 输出内容
 */
function showLog(msg) {
	if(DEBUG)
		console.log("hehacat >>>" + msg);
}
/**
 * 在控制台中输出日志
 * @param {Object} tag 标签
 * @param {Object} msg 输出内容
 */
function showLog(tag, msg) {
	if(DEBUG)
		console.log(tag + ">>>" + msg);
}
/**
 * 存储数据
 * @param {Object} key
 * @param {Object} value
 */
function cache(key, value) {
	try {
		localStorage.setItem(key, value);
	} catch(oException) {
		if(oException.name == 'QuotaExceededError') {
			showLog(key,'超出本地存储限额！');
		}
	}
}
