//document.write(" <script language=\"javascript\" src="..\ / js\ / config.js\ " > <\/script>");
/**
 * 检查更新接口请求
 */
function checkUpdata(flg) {
	var url = V_HOST + "/auth/pub/appVersion.json"; //版本更新检查请求地址
	mui.get(url, {}, function(data) {
		if(data.flag > 0) {
			showLog(JSON.stringify(data));
			if(data.data && data.data.length > 0) {
				showLog("进来了", data.data);
				onCheckSuccess(flg, data.data);
			}
		} else {
			if(flg)
				mui.toast("已经是最新版本了");
		}
	});
};

//var currVer = null;

/**
 * 请求成功后判断是否需要更新
 * @param {Object} data
 */
function onCheckSuccess(flg, currVer, data) {
	//判断版本号
	showLog(flg, data);

	showLog("compare 当前版本", currVer);
	if(compareVersion(currVer, data.version)) {
		showLog("接口版本", data.version);
		if(data.is_must == 1) {
			plus.nativeUI.confirm(data.comment, function(event) {
				if(0 == event.index) {
					if(mui.os.android) //如果是android设备则取android_url,ios设备则取ios_url
						//						plus.runtime.openURL(data.andorid_url);
						loadDownFile(data.andorid_url);
					else if(mui.os.ios)
						plus.runtime.openURL(data.ios_url);
				} else {
					plus.runtime.quit();
				}
			}, "版本更新", ["立即更新", "取消"]);
			//			plus.nativeUI.alert(data.comment, function(event) {
			//				if(mui.os.android) //如果是android设备则取android_url,ios设备则取ios_url
			//					plus.runtime.openURL(data.andorid_url);
			//				else if(mui.os.ios)
			//					plus.runtime.openURL(data.ios_url);
			//			}, "版本更新", "立即更新");
		} else {
			plus.nativeUI.confirm(data.comment, function(event) {
				if(0 == event.index) {
					if(mui.os.android) //如果是android设备则取android_url,ios设备则取ios_url
						plus.runtime.openURL(data.andorid_url);
					else if(mui.os.ios)
						plus.runtime.openURL(data.ios_url);
				}
			}, "版本更新", ["立即更新", "暂不更新"]);
		}

	} else {
		if(flg)
			mui.toast("当前版本已经是最新版本");
	}
};

/**
 * 比较版本大小，如果新版本nv大于旧版本ov则返回true，否则返回false
 * @param {String} ov
 * @param {String} nv
 * @return {Boolean}
 */
function compareVersion(ov, nv) {
	showLog('ov', ov);
	showLog('nv', nv);
	if(!ov || !nv || ov == "" || nv == "") {
		return false;
	}
	var b = false,
		ova = ov.split(".", 4),
		nva = nv.split(".", 4);
	for(var i = 0; i < ova.length && i < nva.length; i++) {
		var so = ova[i],
			no = parseInt(so),
			sn = nva[i],
			nn = parseInt(sn);
		if(nn > no || sn.length > so.length) {
			return true;
		} else if(nn < no) {
			return false;
		}
	}
	if(nva.length > ova.length && 0 == nv.indexOf(ov)) {
		return true;
	}
};

//休眠方法
function sleep(numberMillis) {
	var now = new Date();
	var exitTime = now.getTime() + numberMillis;
	while(true) {
		now = new Date();
		if(now.getTime() > exitTime)
			return;
	}
}

function loadDownFile(url) {
	var dtask = plus.downloader.createDownload(url, {}, function(d, status) {
		if(status == 200) {
			plus.nativeUI.toast("正在准备环境，请稍后！");
			sleep(1000);
			var path = d.filename; //下载apk
			plus.runtime.install(path); // 自动安装apk文件
		} else {
			alert('版本更新失败:' + status);
		}
	});
	dtask.start();
}