//拍照、手机相册选择提示框
function showTakePicDialog(picName, parentPageId, cutPage) {
	if(mui.os.plus) {
		var a = [{
			title: "拍照"
		}, {
			title: "从手机相册选择"
		}];
		plus.nativeUI.actionSheet({
			cancel: "取消",
			buttons: a
		}, function(b) { /*actionSheet 按钮点击事件*/
			switch(b.index) {
				case 1:
					getImage(picName, parentPageId, cutPage); /*拍照*/
					break;
				case 2:
					galleryImg(parentPageId, cutPage); /*打开相册*/
					break;
				default:
					break;
			}
		});
	}
}
//拍照 
function getImage(picName, parentPageId, cutPage) {
	var c = plus.camera.getCamera();
	c.captureImage(function(e) {
		plus.io.resolveLocalFileSystemURL(e, function(entry) {
			cutImage(entry.toLocalURL(), parentPageId, cutPage);
		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(s) {
		console.log("error" + s);
	}, {
		filename: "_doc/" + picName
	})
}
//本地相册选择 
function galleryImg(parentPageId, cutPage) {
	plus.gallery.pick(function(a) {
		plus.io.resolveLocalFileSystemURL(a, function(entry) {
			plus.io.resolveLocalFileSystemURL(a, function(root) {
				cutImage(root.toLocalURL(), parentPageId, cutPage);
			}, function(e) {
				console.log("get _www folder fail");
			})
		}, function(e) {
			console.log("读取拍照文件错误：" + e.message);
		});
	}, function(a) {}, {
		filter: "image"
	})
};
//裁剪图片 
function cutImage(path, parentPageId, cutPage) {
	if(!cutPage) {
		cutPage = 'photo_cut.html';
	}
	var json = {
		path: path,
		parentPageId: parentPageId
	};
	openWindow(cutPage, 'photo_cut', json);
}