Array.prototype.indexOf = function(val) {
	for(var i = 0; i < this.length; i++) {
		if(this[i] == val) return i;
	}
	return -1;
};
Array.prototype.remove = function(val) {
	var index = this.indexOf(val);
	console.log("index==" + index);
	if(index > -1) {
		this.splice(index, 1);
	}
};

Array.prototype.removeObj = function(obj) {
	for(var b in this) {
		if(obj.coupon_id == this[b].coupon_id) {
			this.splice(b, 1);
		}
	}
};
Array.prototype.removeCoterieObj = function(obj) {
	for(var b in this) {
		if(obj.coterie_id == this[b].coterie_id) {
			this.splice(b, 1);
		}
	}
};
/**
 * 复制 
 * @param {Object} text
 */
function copyToClip(text) {
	if(mui.os.android) {
		var Context = plus.android.importClass("android.content.Context");
		var main = plus.android.runtimeMainActivity();
		var clip = main.getSystemService(Context.CLIPBOARD_SERVICE);
		plus.android.invoke(clip, "setText", text);
	} else if(mui.os.ios) {
		var UIPasteboard = plus.ios.importClass("UIPasteboard");
		//这步会有异常因为UIPasteboard是不允许init的，init的问题会在新版中修改 
		var generalPasteboard = UIPasteboard.generalPasteboard();
		// 设置/获取文本内容
		generalPasteboard.plusCallMethod({
			setValue: text,
			forPasteboardType: "public.utf8-plain-text"
		});
		generalPasteboard.plusCallMethod({
			valueForPasteboardType: "public.utf8-plain-text"
		});
	}
	mui.toast("复制成功");
}
/**
 * 打电话
 * @param {Object} phone 号码
 * @param {Object} msg 提示文字
 */
function callPhone(phone, msg) {
	var btn = ["拨打", "取消"];
	mui.confirm(phone, msg, btn, function(e) {
		if(e.index == 0) {
			plus.device.dial(phone, false);
		}
	});
}